mime-0.4.0.2: Working with MIME types.

Copyright | (c) 2006-2009 Galois Inc.
License | BSD3
Maintainer | Sigbjorn Finne <sigbjorn.finne@gmail.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell98

Codec.MIME.Decode

Description

Synopsis

- decodeBody :: String -> String -> String
- decodeWord :: String -> Maybe (String, String)
- decodeWords :: String -> String

# Documentation

decodeBody :: String -> String -> String Source #

`decodeBody enc str` decodes `str` according to the scheme specified by `enc`. Currently, `base64` and `quoted-printable` are the only two encodings supported. If you supply anything else for `enc`, `decodeBody` returns `str`.

decodeWord :: String -> Maybe (String, String) Source #

decodeWords :: String -> String Source #